Summary: Choose OS (Alternative Boot loader)
Name: chos
Version: 0.81
Release: 1
ExclusiveArch: i386
Copyright: Tuomo Valkonen
Group: Utilities/System
Source: sunsite.unc.edu:/pub/Linux/system/boot/loaders/chos-0.81.tar.gz
Source1: vchos
Source2: vchos.wmconfig
Source3: rebooter.wmconfig
Patch0: chos-0.81.rh-config.patch
Packager: Antti Andreimann <anttix@cyberix.edu.ee>

%description

 Choose-OS is a fully configurable boot loader for Linux/PC.
 It is a program which, when you boot your computer, allows you to 
 select the operating system to boot.
 Yes, it does the same stuff that LILO or OS/2 boot manager do.
 Choose-OS has, though, some nice features not found in many or none 
 other programs of this kind.

 Look 'n Coolness:
	* You can choose the colors used for each image separately
	* You can position the menu and timer or even each image
	  separately on screen
	* Hotkey can be specified for each image
	* And finally, you can have a background image 
	  (plain ascii text or screendump format) !
	    
 Other stuff:
	* Emergency bootsector - If there's been a failure loading 
	  Choose-OS mapfile or 2nd stage loader, an emergency bootsector 
	  will be tried to load, if one specified.
	* Initrd,bzImage,MBR rewrite, hda/hdb and fd0/fd1 swapping, etc.
	* Single-shot autoboot
	* dosmenukey -option

%package X11
Group: X11/Utilities
Summary: Visual Chos
Requires: chos = 0.81 , tk >= 4.2

%description X11
	* An easy-to-use configuration program for X, Visual Chos

%package rebooter
Group: X11/Utilities
Version: 0.1
Requires: chos = 0.81
Summary: Graphical Addon for Choose-OS

%description rebooter

 Rebooter is an add-on to Choose-OS that displays a dialog where you
 can:
	* Shutdown the system (run /sbin/halt)
	* Reboot the system   (run /sbin/reboot)
	* Start any of the images found in chos mapfile
	  (modifies chos mapfile and runs /sbin/reboot.
	   chos 0.81 or newer required)

%prep
%setup
chown -R root ../rebooter-0.1
chgrp -R root ../rebooter-0.1
chmod -R a+rX,g-w,o-w ../rebooter-0.1
cp -f $RPM_SOURCE_DIR/vchos utils

%patch0 -p0

%build
rm -f utils/modpart utils/showscreen
cd sources/
make
cd $RPM_BUILD_DIR/rebooter-0.1/sources/
make

%install
./Install

if [ -f /etc/chos.conf ]
then
	echo "/etc/chos.conf already exists"
else
	cp samples/penguin.conf /etc/chos.conf
	chown root.root /etc/chos.conf
	chmod 0600 /etc/chos.conf
fi

cd ../rebooter-0.1
./Install

if [ -f /etc/rebooter.allow -o -f /etc/rebooter.deny ]
then
	echo "rebooter config files already exist"
else
	echo root > /etc/rebooter.allow
	echo nobody > /etc/rebooter.deny
fi
install -o root -g root -m 644 $RPM_SOURCE_DIR/rebooter.wmconfig /etc/X11/wmconfig/rebooter
install -o root -g root -m 644 $RPM_SOURCE_DIR/vchos.wmconfig /etc/X11/wmconfig/vchos

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "PLEASE READ THE README BEFORE YOU TRY ANYTHING"

%post rebooter
echo "Remember to alter /etc/rebooter.allow /etc/rebooter.deny for your needs"

%files
%doc README docs samples
%config /etc/chos.conf

/sbin/chos
/sbin/modpart
/bin/showscreen

/boot/chos.bsect
/boot/chos.loader
/boot/chos.loader-bsect
/boot/chos.loader-linux
/boot/bg

%files X11
/usr/bin/X11/vchos
/usr/bin/X11/xshowscreen
/etc/X11/wmconfig/vchos

%files rebooter
%config /etc/rebooter.allow
%config /etc/rebooter.deny
%doc ../rebooter-0.1/README ../rebooter-0.1/docs
/usr/bin/X11/rebooter
/etc/X11/wmconfig/rebooter
/usr/share/rebooter/pixmaps
